> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/ltu/api-dokumentacija/ikelti-failus-naudojant-geopard-api.md).

# Įkelti failus naudojant GeoPard API

{% hint style="success" %}
Rekomenduojamas būdas failams, didesniems nei 6 MB, yra [iš anksto pasirašyto URL srautas](/geopard-tutorials/ltu/api-dokumentacija/geopard-api-uzklausu-apzvalga/55.-ikelti-zip-failus-didesnius-nei-6-mb.md).
{% endhint %}

„GeoPard“ API leidžia įkelti ZIP archyvus su dirvožemio/derliaus/įterptų priemonių/laukų ribų duomenų rinkiniais tolesniam apdorojimui ir analitikai.

{% hint style="danger" %}
Dėl „AWS“ apribojimo didžiausias failo dydis, kurį galite įkelti per šį REST galinį tašką, yra 6 MB.
{% endhint %}

Failų, didesnių nei 6 MB, įkėlimo veiksmai aprašyti [Įkelti ZIP failus (didesnius nei 6 MB)](/geopard-tutorials/ltu/api-dokumentacija/geopard-api-uzklausu-apzvalga/55.-ikelti-zip-failus-didesnius-nei-6-mb.md).

Iškart sėkmingai įkėlus dirvožemio/derliaus/įterptų priemonių duomenų rinkinį, „GeoPard“ variklis jį susieja su atitinkamais laukais, esančiais apibrėžtame ūkyje.

Iškart sėkmingai įkėlus lauko ribas, „GeoPard“ variklis pradeda jų apdorojimą.

Atsakyme yra `<uuid>` kurį galite naudoti apdorojimo būsenai stebėti.

#### Užklausos pavyzdys:

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl --location --request POST 'https://api.geopard.tech/upload?fileType=<type>&farmUuid=<farm_uuid>' \\
--header 'Authorization: <token>' \\
--header 'Content-Type: application/zip' \\
--data-binary '@path/to/file.zip'
```

{% endcode %}

Parametrai yra:

1. `<type>` - įkelto duomenų rinkinio tipas. Jis turi būti `derlius` ARBA `dirvožemis` ARBA `įterptos priemonės` ARBA `ribos`.
2. `<farm_uuid>` - `uuid` ūkio, į kurį bus įkeltas failas, (neprivaloma).
3. `<token>` - „GeoPard“ prieigos raktas.
4. `@path/to/file.zip` - įkeliamo failo kelias.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/ltu/api-dokumentacija/ikelti-failus-naudojant-geopard-api.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
